#!/usr/bin/env python

from email.mime.multipart import MIMEMultipart
from email.mime.application import MIMEApplication
from email.mime.base import MIMEBase
from email import message_from_string
from MoinMessage import as_string
import sys

if __name__ == "__main__":
    message = sys.argv[1]
    text = open(message).read()
    signature = sys.stdin.read()
    protocol = "application/pgp-signature"
    subtype = "signed"

    # Make the container for the message.

    message = MIMEMultipart(subtype, protocol=protocol)

    submessage = message_from_string(text)
    message.attach(submessage)

    signature_part = MIMEBase("application", "pgp-signature")
    signature_part.set_payload(signature)
    message.attach(signature_part)

    # Show the resulting message text.

    text = as_string(message)

    print text

# vim: tabstop=4 expandtab shiftwidth=4
